module EConstants
  GENERIC_TAGS = %w[
    html head title body h1 h2 h3 h4 h5 h6 p a
    abbr address b bdi bdo blockquote cite code del dfn em i ins kbd
    mark meter pre progress q rp rt ruby s samp small strong sub sup
    time u var wbr form textarea button select optgroup option label
    fieldset legend datalist output iframe map area canvas figcaption figure
    audio source track video nav ul ol li dl dt dd
    table caption th tr td thead tbody tfoot colgroup col
    div span header footer hgroup section article aside details dialog summary
    style script noscript object
  ].freeze
  
  EMPTY_TAGS = %w[
    img link br hr input keygen meta base embed param
  ].freeze

  IMAGE_TAGS = %w[
    jpg jpeg png gif tif tiff bmp svg xpm
  ].freeze
end
